ARCSTAT(1)

NAME
arcstat - report ZFS ARC and L2ARC statistics

SYNOPSIS

arcstat [-havxp] [-f field[,field]...] [-o file] [-s string] [interval [count]]

DESCRIPTION

The arcstat utility print various ZFS ARC and L2ARC statistics in vmstat-like fashion.

The arcstat command reports the following information:

c
    ARC target size

dh%
    Demand data hit percentage

dm%
    Demand data miss percentage

mfu
    MFU list hits per second

mh%
    Metadata hit percentage

mm%
    Metadata miss percentage

mru
    MRU list hits per second

ph%
    Prefetch hits percentage

pm%
    Prefetch miss percentage

dhit
    Demand data hits per second

dmis
    Demand data misses per second

hit%
    ARC hit percentage

hits
    ARC reads per second

mfug
    MFU ghost list hits per second

mhit
    Metadata hits per second

miss
    ARC misses per second

mmis
    Metadata misses per second

mrug
    MRU ghost list hits per second

phit
    Prefetch hits per second

pmis
    Prefetch misses per second

read
    Total ARC accesses per second

time
    Time

size
    ARC size

arcsz
    Alias for size

dread
    Demand data accesses per second

eskip
    evict_skip per second

miss%
    ARC miss percentage

mread
    Metadata accesses per second

pread
    Prefetch accesses per second

l2hit%
    L2ARC access hit percentage

l2hits
    L2ARC hits per second

l2miss
    L2ARC misses per second

l2read
    Total L2ARC accesses per second

l2size
    Size of the L2ARC

mtxmis
    mutex_miss per second

l2bytes
    Bytes read per second from the L2ARC

l2miss%
    L2ARC access miss percentage

l2asize
    Actual (compressed) size of the L2ARC

grow
    ARC grow disabled

need
    ARC reclaim needed

free
    The ARC's idea of how much free memory there is, which includes evictable memory in the page cache. Since the ARC tries to keep avail above zero, avail is usually more instructive to observe than free.

avail
    The ARC's idea of how much free memory is available to it, which is a bit less than free. May temporarily be negative, in which case the ARC will reduce the target size c.

OPTIONS

The following options are supported:

-a
    Print all possible stats.

-f
    Display only specific fields. See DESCRIPTION for supported statistics.

-h
    Display help message.

-o
    Report statistics to a file instead of the standard output.

-p
    Disable auto-scaling of numerical fields (for raw, machine-parsable values).

-s
    Display data with a specified separator (default: 2 spaces).

-x
    Print extended stats (same as -f time,mfu,mru,mfug,mrug,eskip,mtxmis,dread,pread,read).

-v
    Show field headers and definitions

OPERANDS

The following operands are supported:

count
    Display only count reports.

interval
    Specify the sampling interval in seconds.

AUTHORS

arcstat was originally written in Perl by Neelakanth Nadgir and supported only ZFS ARC statistics. Mike Harsch updated it to support L2ARC statistics. John Hixson ported it to Python for FreeNAS over some beer, after which many individuals from the OpenZFS community continued to maintain and improve it.